Ejemplo n.º 1
0
        internal PointSet method_0()
        {
            Editor   arg_0F_0 = Autodesk.AutoCAD.ApplicationServices.Application.DocumentManager.MdiActiveDocument.Editor;
            Database arg_15_0 = HostApplicationServices.WorkingDatabase;

            PointGeneration.string_0 = CommandLineQuerries.SpecifyEntityType(PointGeneration.string_0);
            string key;

            if ((key = PointGeneration.string_0) != null)
            {
                if (PrivateImplementationDetails40B.method0x60001441 == null)
                {
                    PrivateImplementationDetails40B.method0x60001441 = new Dictionary <string, int>(10)
                    {
                        {
                            "A",
                            0
                        },
                        {
                            "ALL",
                            1
                        },
                        {
                            "C",
                            2
                        },
                        {
                            "E",
                            3
                        },
                        {
                            "F",
                            4
                        },
                        {
                            "L",
                            5
                        },
                        {
                            "P",
                            6
                        },
                        {
                            "S",
                            7
                        },
                        {
                            "T",
                            8
                        },
                        {
                            "SO",
                            9
                        }
                    };
                }
                int num;
                if (PrivateImplementationDetails40B.method0x60001441.TryGetValue(key, out num))
                {
                    ObjectId[] objectIDs;
                    switch (num)
                    {
                    case 0:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.ARC);
                        break;

                    case 1:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.ArcLineTextCircleEllipseFaceSplinePline);
                        break;

                    case 2:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.CIRCLE);
                        break;

                    case 3:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.ELLIPSE);
                        break;

                    case 4:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.FACE);
                        break;

                    case 5:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.LINE);
                        break;

                    case 6:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.PLINES);
                        break;

                    case 7:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.SPLINE);
                        break;

                    case 8:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.TEXT);
                        break;

                    case 9:
                        objectIDs = CommandLineQuerries.GetObjectIDs(CommandLineQuerries.EntityType.SOLID3D);
                        break;

                    default:
                        goto IL_1B1;
                    }
                    if (objectIDs == null)
                    {
                        return(null);
                    }
                    if (!(PointGeneration.string_0 == "T") && !(PointGeneration.string_0 == "F"))
                    {
                        PointGeneration.double_0 = CommandLineQuerries.SpecifyDouble("Enter maximum subdivision distance or 0 for no subdivision", PointGeneration.double_0, false, false, false, true);
                        return(this.method_1(objectIDs, PointGeneration.double_0));
                    }
                    return(this.method_1(objectIDs, 0.0));
                }
            }
IL_1B1:
            throw new ArgumentException("Invalid option keyword.");
        }